<h1>Transfer Details</h1>
<hr />
<p>Enter the amount to transfer</p>
<div>
  <form [formGroup]="form" (ngSubmit)="onSubmit()">
    <div class="mb-3">
      <label for="amount" class="form-label">Amount</label>
      <input type="text" formControlName="amount" class="form-control"
        [ngClass]="{ 'is-invalid': submitted && f.amount.errors }" />
      <div *ngIf="submitted && f.amount.errors" class="invalid-feedback">
        <div *ngIf="f.amount.errors.required">Amount is required</div>
        <div *ngIf="f.amount.errors.pattern">Amount must be a number</div>
        <div *ngIf="f.amount.errors.min">Amount must be positive</div>
      </div>
    </div>
    <div class="mb-3">
      <label for="for" class="form-label">Transfer to</label>
      <input type="text" readonly class="form-control-plaintext" id="for"
        value="{{account.firstName}} {{account.lastName}}">
    </div>
    <div class="mb-3">
      <button [disabled]="loading" class="btn btn-primary">
        <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
        Transfer
      </button>
      <a routerLink="/user/transfer" class="btn btn-link">Cancel</a>
    </div>
  </form>
  <div class="alert alert-warning" *ngIf="warningMessage">{{warningMessage}}</div>
</div>